## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseASEDatabase

All Superinterfaces:
  Database, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Implementing Classes:
  SybaseASECatalogDatabase, SybaseASEDatabaseImpl

    public interface SybaseASEDatabase

extends Database, SQLObject

A representation of the model object 'Sybase ASE Database'.

The following features are supported:

- `Data Types`
- `Encryption Key Applicable`
- `Roles`
- `Caches`
- `Web Services`
- `Webservice Applicable`
- `Sds Server`
- `Temp DB Name`

See Also:
  `SybaseasesqlmodelPackage.getSybaseASEDatabase()`

Method Summary
`org.eclipse.emf.common.util.EList` `getCaches()` Returns the value of the 'Caches' containment reference list.
`org.eclipse.emf.common.util.EList` `getDataTypes()` Returns the value of the 'Data Types' reference list.
`org.eclipse.emf.common.util.EList` `getRoles()` Returns the value of the 'Roles' reference list.
`org.eclipse.emf.common.util.EList` `getSdsServer()` Returns the value of the 'Sds Server' attribute list.
`java.lang.String` `getTempDBName()` Returns the value of the 'Temp DB Name' attribute.
`org.eclipse.emf.common.util.EList` `getWebServices()` Returns the value of the 'Web Services' containment reference list.
`boolean` `isComputedColApplicable()`
`boolean` `isEncryptionKeyApplicable()` Returns the value of the 'Encryption Key Applicable' attribute.
`boolean` `isFunctionalBasedIndexMemApplicable()`
`boolean` `isPartitionsApplicable()`
`boolean` `isWebserviceApplicable()` Returns the value of the 'Webservice Applicable' attribute.
`void` `setEncryptionKeyApplicable(boolean value)` Sets the value of the '`Encryption Key Applicable`' attribute.
`void` `setTempDBName(java.lang.String value)` Sets the value of the '`Temp DB Name`' attribute.
`void` `setWebserviceApplicable(boolean value)` Sets the value of the '`Webservice Applicable`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.Database
`getAuthorizationIds, getCatalogs, getEvents, getSchemas, getUserDefinedTypes, getVendor, getVersion, setVendor, setVersion`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDataTypes

    org.eclipse.emf.common.util.EList getDataTypes()

  Returns the value of the 'Data Types' reference list. The list contents are of type `SybaseASEPredefinedDataType`. It is bidirectional and its opposite is '`Database`'.

  If the meaning of the 'Data Types' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Data Types' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEDatabase_DataTypes()`, `SybaseASEPredefinedDataType.getDatabase()`

### isEncryptionKeyApplicable

    boolean isEncryptionKeyApplicable()

  Returns the value of the 'Encryption Key Applicable' attribute.

  If the meaning of the 'Encryption Key Applicable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Encryption Key Applicable' attribute.
  See Also:
    `setEncryptionKeyApplicable(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEDatabase_EncryptionKeyApplicable()`

### setEncryptionKeyApplicable

    void setEncryptionKeyApplicable(boolean value)

  Sets the value of the '`Encryption Key Applicable`' attribute.

  Parameters:
    `value` - the new value of the 'Encryption Key Applicable' attribute.
  See Also:
    `isEncryptionKeyApplicable()`

### getRoles

    org.eclipse.emf.common.util.EList getRoles()

  Returns the value of the 'Roles' reference list. The list contents are of type `SybaseASERole`.

  If the meaning of the 'Roles' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Roles' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEDatabase_Roles()`

### getCaches

    org.eclipse.emf.common.util.EList getCaches()

  Returns the value of the 'Caches' containment reference list. The list contents are of type `SybaseASECache`. It is bidirectional and its opposite is '`Database`'.

  If the meaning of the 'Caches' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Caches' containment reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEDatabase_Caches()`, `SybaseASECache.getDatabase()`

### getWebServices

    org.eclipse.emf.common.util.EList getWebServices()

  Returns the value of the 'Web Services' containment reference list. The list contents are of type `SybaseASEWebService`. It is bidirectional and its opposite is '`Database`'.

  If the meaning of the 'Web Services' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Web Services' containment reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEDatabase_WebServices()`, `SybaseASEWebService.getDatabase()`

### isWebserviceApplicable

    boolean isWebserviceApplicable()

  Returns the value of the 'Webservice Applicable' attribute.

  If the meaning of the 'Webservice Applicable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Webservice Applicable' attribute.
  See Also:
    `setWebserviceApplicable(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEDatabase_WebserviceApplicable()`

### setWebserviceApplicable

    void setWebserviceApplicable(boolean value)

  Sets the value of the '`Webservice Applicable`' attribute.

  Parameters:
    `value` - the new value of the 'Webservice Applicable' attribute.
  See Also:
    `isWebserviceApplicable()`

### getSdsServer

    org.eclipse.emf.common.util.EList getSdsServer()

  Returns the value of the 'Sds Server' attribute list. The list contents are of type `String`.

  If the meaning of the 'Sds Server' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sds Server' attribute list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEDatabase_SdsServer()`

### getTempDBName

    java.lang.String getTempDBName()

  Returns the value of the 'Temp DB Name' attribute.

  If the meaning of the 'Temp DB Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Temp DB Name' attribute.
  See Also:
    `setTempDBName(String)`, `SybaseasesqlmodelPackage.getSybaseASEDatabase_TempDBName()`

### setTempDBName

    void setTempDBName(java.lang.String value)

  Sets the value of the '`Temp DB Name`' attribute.

  Parameters:
    `value` - the new value of the 'Temp DB Name' attribute.
  See Also:
    `getTempDBName()`

### isComputedColApplicable

    boolean isComputedColApplicable()

### isPartitionsApplicable

    boolean isPartitionsApplicable()

### isFunctionalBasedIndexMemApplicable

    boolean isFunctionalBasedIndexMemApplicable()